Skip to main content
GET
/
v1
/
voiceai
/
knowledge-base
Get Knowledge Base List
curl --request GET \
  --url https://api.example.com/v1/voiceai/knowledge-base \
  --header 'x-api-key: <api-key>'
{
  "documents": [
    {
      "id": "<string>",
      "name": "<string>",
      "metadata": {
        "created_at_unix_secs": 123,
        "last_updated_at_unix_secs": 123,
        "size_bytes": 123
      },
      "access_info": {
        "is_creator": true,
        "creator_name": "<string>",
        "creator_email": "<string>",
        "role": "admin"
      },
      "url": "<string>",
      "supported_usages": [
        "prompt"
      ],
      "folder_parent_id": "<string>",
      "folder_path": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ],
      "rag_summary": {
        "status": "<string>",
        "progress_percentage": 0
      },
      "type": "url"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for programmatic access

Query Parameters

page_size
integer
default:30

How many documents to return at maximum. Can not exceed 100, defaults to 30.

Required range: 1 <= x <= 100
search
string | null

If specified, the endpoint returns only documents whose names start with this string.

show_only_owned_documents
boolean
default:false

If set to true, the endpoint will return only documents owned by you.

types
enum<string>[] | null

If present, the endpoint will return only documents of the given types.

Type of knowledge base document

Available options:
file,
url,
text,
folder
parent_folder_id
string | null

If set, the endpoint will return only documents that are direct children of the given folder.

ancestor_folder_id
string | null

If set, the endpoint will return only documents that are descendants of the given folder.

folders_first
boolean
default:false

Whether folders should be returned first in the list of documents.

sort_direction
enum<string>
default:desc

The direction to sort the results

Available options:
asc,
desc
sort_by
enum<string> | null

The field to sort the results by Fields available for sorting knowledge base documents

Available options:
name,
created_at,
updated_at,
size
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

Paginated list of knowledge base documents. Enterprise-compatible response model with cursor pagination.

documents
(GetKnowledgeBaseSummaryURLResponseModel · object | GetKnowledgeBaseSummaryFileResponseModel · object | GetKnowledgeBaseSummaryTextResponseModel · object | GetKnowledgeBaseSummaryFolderResponseModel · object)[]
required

List of knowledge base documents

Knowledge base document summary for URL type

has_more
boolean
required

Whether there are more documents to fetch

next_cursor
string | null

Cursor for fetching the next page